public class Ouvrage implements Comparable<Ouvrage>{
	protected String titre, auteur;
	
	public Ouvrage(String tit, String aut) {
		titre=tit; auteur=aut;
	}
	public String getAuteur() {
		return auteur;
	}
	public String getTitre() {
		return titre;
	}
	public String toString() {
		return titre+" "+auteur;
	}
	// egalite logique
	public boolean equals(Object o) {
		return ( (o instanceof Ouvrage)
			&& (auteur.equals(((Ouvrage)o).getAuteur())) //downcast
			&& (titre.equals(((Ouvrage)o).getTitre())) );
		}
	
	// relation d'ordre (dite "naturelle" ou interne)
	public int compareTo(Ouvrage obj) {
		 return
		  auteur.compareTo(obj.getAuteur());
	}
}