import java.util.*;

public class testSet {
	public static void main(String[] args) {
		Ouvrage t[] = {
				new Ouvrage("Germinal","Zola"), 
				new Ouvrage("C","Kernighan"),
				new Ouvrage("Java","Eckel") };
		
		System.out.println("ensemble d'ouvrages ordonn naturellement (par auteur)");
		TreeSet<Ouvrage> setParAuteurs
		  = new TreeSet<Ouvrage>(Arrays.asList(t));
		
		setParAuteurs.add(new Ouvrage("Parapente","Ali Gali"));
		for(Ouvrage o : setParAuteurs) System.out.println(o);
		
		System.out.println("\nensemble d'ouvrages ordonn par comparateur (titres)");
		TreeSet<Ouvrage> setParTitres
		  = new TreeSet<Ouvrage>(new ComparateurDeTitres());
		setParTitres.addAll(Arrays.asList(t));
		
		setParTitres.add(new Ouvrage("Parapente","Ali Gali"));
		for(Ouvrage o : setParTitres) System.out.println(o);
		
		System.out.println("\nset => pas de doublons");
		setParTitres.add(new Ouvrage("Parapente","Ali Gali"));
		for(Ouvrage o : setParTitres) System.out.println(o);
		
		System.out.println("\nattention a l'aliasing");
		t[1].titre="langage C";
		for(Ouvrage o : setParTitres) System.out.println(o);
	}
}
