import java.util.Arrays;

public class testEgalite {
	public static void main(String[] args) {
		//2 tableaux d'ouvrages : instances distinctes physiquement mais egales logiquement (exemplaires multiples d'un meme ouvrage)
		Ouvrage t1[] = {
				new Ouvrage("Germinal","Zola"), 
				new Ouvrage("C","Kernighan"),
				new Ouvrage("Java","Eckel") };
		Ouvrage t2[] = {
				new Ouvrage("Germinal","Zola"), 
				new Ouvrage("C","Kernighan"),
				new Ouvrage("Java","Eckel") };
		
		System.out.println("egalites physiques:");
		for(int i=0; i<3; i++)
			System.out.printf("t1[%d]==t2[%d]? %b\n",i,i,(t1[i]==t2[i])); // instances distinctes physiquement
		System.out.println("t1==t2? "+ (t1==t2)); // idem: tableaux distincts physiquement
		System.out.println("t1.equals(t2)? "+ t1.equals(t2)); // idem: equals sur les tableaux herite de Object => ==
		
		System.out.println("\negalites logiques:");
		for(int i=0; i<3; i++)
			System.out.printf("t1[%d].equals(t2[%d])? %b\n",i,i, t1[i].equals(t2[i])); // ... egales logiquement : equals de Ouvrage
		System.out.println("Arrays.equals(t1,t2)? "+Arrays.equals(t1,t2)); // egalite logique de tableaux : iteree sur les elements
	}
}
