import java.util.Arrays;

public class testSearch {

	public static void main(String[] args) {
		Ouvrage t[] = {
				new Ouvrage("Germinal","Zola"), 
				new Ouvrage("C","Kernighan"),
				new Ouvrage("Java","Eckel") };
		
		System.out.println("ordre naturel par auteurs:");
		Arrays.sort(t);
		for (int i=0; i< t.length; i++) System.out.println(""+i+":"+t[i]);
		System.out.println("\nrecherhe de...");
		System.out.println("Germinal,Zola: "+ Arrays.binarySearch(t,new Ouvrage("Germinal","Zola")));
		System.out.println("C,Kernighan: "+ Arrays.binarySearch(t,new Ouvrage("C","Kernighan")));
		System.out.println("Java,Eckel: "+ Arrays.binarySearch(t,new Ouvrage("Java","Eckel")));
		System.out.println("Parapente,AliGali: "+ Arrays.binarySearch(t,new Ouvrage("Parapente","AliGali")));
		System.out.println("IA,Nilsson: "+ Arrays.binarySearch(t,new Ouvrage("IA","Nilsson")));
		
		System.out.println("\nordre par titres:");
		ComparateurDeTitres cmpTitre = new ComparateurDeTitres();
		Arrays.sort(t, cmpTitre);
		for (int i=0; i< t.length; i++) System.out.println(""+i+":"+t[i]);
		System.out.println("\nrecherhe de...");
		System.out.println("Germinal,Zola: "+ Arrays.binarySearch(t,new Ouvrage("Germinal","Zola"), cmpTitre));
		System.out.println("C,Kernighan: "+ Arrays.binarySearch(t,new Ouvrage("C","Kernighan"), cmpTitre));
		System.out.println("Java,Eckel: "+ Arrays.binarySearch(t,new Ouvrage("Java","Eckel"), cmpTitre));
		System.out.println("Parapente,AliGali: "+ Arrays.binarySearch(t,new Ouvrage("Parapente","AliGali"), cmpTitre));
		System.out.println("IA,Nilsson: "+ Arrays.binarySearch(t,new Ouvrage("IA","Nilsson"), cmpTitre));
		
		System.out.println("\nrespecter l'ordre!");
		System.out.println("recherhe (par auteur) dans t ordonne par titre:");
		System.out.println("Germinal,Zola: "+ Arrays.binarySearch(t,new Ouvrage("Germinal","Zola")));
		System.out.println("C,Kernighan: "+ Arrays.binarySearch(t,new Ouvrage("C","Kernighan")));
		System.out.println("Java,Eckel: "+ Arrays.binarySearch(t,new Ouvrage("Java","Eckel")));
		System.out.println("Parapente,AliGali: "+ Arrays.binarySearch(t,new Ouvrage("Parapente","AliGali")));
		System.out.println("IA,Nilsson: "+ Arrays.binarySearch(t,new Ouvrage("IA","Nilsson")));
	}
}
